VisualEditor: Show VisualEditor tag in diffs
Closed, ResolvedPublic

Description

The VisualEditor edit tag (Tag: VisualEditor) should show on diffs, too. This will probably require a core change. However, I'm filing it here, both so you're aware of it, and because it might need to be configurable (it might be we don't want all tags, such as AbuseFilter, etc. to show on diffs).


Version: unspecified
Severity: minor

bzimport set Reference to bz49602.
Mattflaschen created this task.Via LegacyJun 15 2013, 1:15 AM
Jdforrester-WMF added a comment.Via ConduitJun 16 2013, 9:52 PM

Core change request created as bug 49656. Until that's done this is a "later", sadly.

gerritbot added a comment.Via ConduitJul 6 2013, 9:03 PM

Change 72317 had a related patch set uploaded by Matmarex:
Show change tags on diffs

https://gerrit.wikimedia.org/r/72317

matmarex added a comment.Via ConduitJul 6 2013, 9:15 PM

(In reply to comment #0)

because it might need to be configurable (it might be
we don't want all tags, such as AbuseFilter, etc. to show on diffs).

Personally I see no reason to show any tag in history view, but keep it hidden on diff view. What would be the use case?

Mattflaschen added a comment.Via ConduitJul 6 2013, 10:45 PM

(In reply to comment #3)

Personally I see no reason to show any tag in history view, but keep it
hidden on diff view. What would be the use case?

It might be annoying to have AbuseFilter tags exposed on the diff UI, since they are known to sometimes be inaccurate (like any automatic classification). When you're looking at the diff, you see the full change, so automatic classifications are less necessary.

However, I think it's reasonable to just show all the tags for now, and revisit if it turns out to be an issue in practice.

MZMcBride added a comment.Via ConduitJul 7 2013, 1:54 AM

(In reply to comment #3)

Personally I see no reason to show any tag in history view, but keep it
hidden on diff view. What would be the use case?

Because revision tagging is really incomplete, as I recall, lacking the ability to do all the things you might want to do with revision tags (like manually adding one, removing an incorrect one, renaming one, etc.).

Matthew also brings up another major point in comment 4. Historically revision tags have been added with AbuseFilter filters (Andrew G. wrote both the AbuseFilter extension and the core revision tagging feature, as I remember it). Consequently, making "possible libel" or other similar tags more visible in the user interface may not be a great idea until revision tagging is further developed.

matmarex added a comment.Via ConduitJul 7 2013, 7:48 PM

(In reply to comment #5)

Because revision tagging is really incomplete, as I recall, lacking
the ability to do all the things you might want to do with revision
tags (like manually adding one, removing an incorrect one, renaming
one, etc.).

File a bug :) Change I8ace1d47 (now abandoned) attempted to add an API
module for this, it could be used as a starting point.

(In reply to comment #5)

Matthew also brings up another major point in comment 4.
Historically revision tags have been added with AbuseFilter filters
(Andrew G. wrote both the AbuseFilter extension and the core
revision tagging feature, as I remember it). Consequently, making
"possible libel" or other similar tags more visible in the user
interface may not be a great idea until revision tagging is further
developed.

They are not really *that* visible, they're displayed just like edit
summaries, but without the italics. (Of course wiki admins can make
them show up all uppercase, bold and on neon-yellow background.)

gerritbot added a comment.Via ConduitJul 10 2013, 7:07 PM

Change 72317 merged by jenkins-bot:
Show change tags on diffs

https://gerrit.wikimedia.org/r/72317

Jdforrester-WMF added a comment.Via ConduitJul 10 2013, 8:00 PM

The core change is done in MW master, and will be part of wmf10; as such, marking this as fixed.

gerritbot added a comment.Via ConduitJul 11 2013, 10:43 PM

Change 73004 merged by jenkins-bot:
Remove "Tag: " prefix, now that they're in MW core

https://gerrit.wikimedia.org/r/73004

Add Comment